Subject: Re: FW: ssthressh

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 29 Jun 2005 16:07:50 -0600

Randall,

On Wed, 29 Jun 2005, Randall Stewart wrote:

> Brian F. G. Bidulock wrote:
> > Randall,
> > 
> > On Wed, 29 Jun 2005, Randall Stewart wrote:
> > 
> > 
> >>Haresign Lincoln wrote:
> >>
> >>>OK...I think I understand.  Let me go back and look at my algorithms.
> >>>
> >>>I have another question with regards to multihoming but related to
> >>>congestion.  Let's assume that you have two destination addresses in a
> >>>multi-homed association and you have experienced no retransmission.
> >>>When sending data, should you always send over the "primary path"?  Or,
> >>>everytime you want to send a packet, should you look at all the
> >>>variables associated with each destination address (cwnd,
> >>>bytes_in_flight, etc...) and choose the best path at that moment?
> >>
> >>You should use the primary destination.. unless the Upper layer
> >>as instructed you differently...
> > 
> > 
> > Unless you are doing CMT and know what you are doing...
> 
> Yep... but just like in BSD land... its a flag you must
> sysctl on.. to say:
> 
> A) yes I know what I am doing
> and
> B) yes I know the paths do not share a bottleneck...
> 
> Once the shared bottleneck detection algorithms are fully
> worked out ... then we can actuall do it as a standard thing :-D

Works fine with or without a shared bottleneck.

What problems do you envisage?

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦